Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ECPublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.ECKeyParameters
              org.bouncycastle.crypto.params.ECPublicKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class ECPublicKeyParameters

extends ECKeyParameters

Constructor Summary
`ECPublicKeyParameters(org.bouncycastle.math.ec.ECPoint Q, ECDomainParameters params)`

Method Summary
`org.bouncycastle.math.ec.ECPoint` `getQ()`

Methods inherited from class org.bouncycastle.crypto.params.ECKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPublicKeyParameters

    public ECPublicKeyParameters(org.bouncycastle.math.ec.ECPoint Q,
                                 ECDomainParameters params)

Method Detail

### getQ

    public org.bouncycastle.math.ec.ECPoint getQ()

Bouncy Castle Cryptography Library 1.45